> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/knowledge-base.md).

# Knowledge Base

## Gets list of KB

> This endpoint is used to fetch all the active KB's for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/kb/kb/":{"get":{"operationId":"ux_common_kb_kb_list","description":"This endpoint is used to fetch all the active KB's for the current organization","summary":"Gets list of KB","parameters":[{"name":"items_per_page","required":false,"in":"query","description":"Number of results to return per page.","schema":{"type":"integer"}},{"name":"offset","required":false,"in":"query","description":"The initial index from which to return the results.","schema":{"type":"integer"}}],"tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"count":2,"next":null,"previous":null,"results":[{"kb_id":"105687373427397104616","config":{"title":"Test KB","kbtype":"article","state":"Active","status":"Approved","department":"IT","catalogue_service":"IT Services","approver":1,"reviewer":1,"valid_till":"2021-06-25","is_archive":false,"is_private":false,"is_security":false,"is_disabled_update":false,"show_contact":false,"email":null,"mobile":null,"tags":[],"users":[],"teams":[],"keywords":["test","IT"],"content":{"info":"This is a test KB","attachments":[]},"faq":null,"known_error":null,"solution":null,"api_link_data":{"external_url":null,"description":null}}},{"kb_id":"105687410610271163368","config":{"title":"Test KB1","kbtype":"article","state":"Active","status":"Approved","department":"IT","catalogue_service":"IT Services","approver":1,"reviewer":1,"valid_till":"2021-06-25","is_archive":false,"is_private":false,"is_security":false,"is_disabled_update":false,"show_contact":false,"email":null,"mobile":null,"tags":[],"users":[],"teams":[],"keywords":["test","IT"],"content":{"info":"This is a test KB","attachments":[]},"faq":null,"known_error":null,"solution":null,"api_link_data":{"external_url":null,"description":null}}}]}}}}}},"description":""}}}}}}
```

## Creates a new KB &#x20;

> This endpoint is used to save a new KB for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/kb/kb/":{"post":{"operationId":"ux_common_kb_kb_create","description":"This endpoint is used to save a new KB for the current organization","summary":"Creates a new KB  ","tags":["Knowledge Base"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"content":{"application/json":{"schema":{"status":"success","id":"105687410610271163368","message":"Message.msg_kb_updated","msg":"Knowledge Base Info updated successfully"}}},"description":""},"201":{"content":{"application/json":{"schema":{"status":"success","id":"105687410610271163368","message":"Message.msg_kb_created","msg":"Knowledge Base Info created successfully"}}},"description":""},"500":{"content":{"application/json":{"schema":{"status":"failed","id":"-1","message":"Error.err_kb_save_failed","msg":"Failed to Save KB"}}},"description":""}}}}}}
```

## Gets a kb with the given id

> This endpoint is used to fetch a kb details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/kb/kb/{id}/":{"get":{"operationId":"ux_common_kb_kb_retrieve","description":"This endpoint is used to fetch a kb details in the current organization","summary":"Gets a kb with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"id":"60d3a9321e54f93b4eca4292","kb_id":"105687373427397104616","display_id":"article00001","created_by":"21","organization":"105685081033968456680","creation_time":"2021-06-23T21:35:46.899000+05:30","last_update_time":null,"is_deleted":false,"config":{"title":"Test KB","kbtype":"article","state":"Active","status":"Approved","department":"IT","catalogue_service":"IT Services","approver":1,"reviewer":1,"valid_till":"2021-06-25","is_archive":false,"is_private":false,"is_security":false,"is_disabled_update":false,"show_contact":false,"email":null,"mobile":null,"tags":[],"users":[],"teams":[],"keywords":["test","IT"],"content":{"info":"This is a test KB","attachments":[]},"faq":null,"known_error":null,"solution":null,"api_link_data":{"external_url":null,"description":null}}}}},"description":""}}}}}}
```

## Edits the kb with given id

> This endpoint is used to edit an existing KB for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/{id}/":{"put":{"operationId":"ux_common_kb_kb_update","description":"This endpoint is used to edit an existing KB for the current organization","summary":"Edits the kb with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Knowledge Base"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/KBList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/KBList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Deletes the KB with given id

> This endpoint is used to delete an existing KB for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/kb/kb/{id}/":{"delete":{"operationId":"ux_common_kb_kb_destroy","description":"This endpoint is used to delete an existing KB for the current organization","summary":"Deletes the KB with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"status":"success","id":"","message":"Message.msg_kb_deleted","msg":"Knowledge Base Info deleted successfully"}}},"description":""},"500":{"content":{"application/json":{"schema":{"status":"error","id":"","message":"Error.err_delete_kb","msg":"Not able to delete this KB"}}},"description":""}}}}}}
```

## PATCH /ux/common/kb/kb/{id}/

> API endpoint for knowledge base

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"PatchedKBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}}},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}},"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]}}},"paths":{"/ux/common/kb/kb/{id}/":{"patch":{"operationId":"ux_common_kb_kb_partial_update","description":"API endpoint for knowledge base","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Knowledge Base"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchedKBList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PatchedKBList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PatchedKBList"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Add attachments for the selected kb.

> This endpoint is used to add new attachments.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/add-attachment/":{"post":{"operationId":"ux_common_kb_kb_add_attachment_create","description":"This endpoint is used to add new attachments.","summary":"Add attachments for the selected kb.","tags":["Knowledge Base"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/KBList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/KBList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Gets attachments for the selected kb.

> This endpoint is used to fetch the attachments.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/attachment/":{"get":{"operationId":"ux_common_kb_kb_attachment_retrieve","description":"This endpoint is used to fetch the attachments.","summary":"Gets attachments for the selected kb.","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Get the bookmarked KB's

> This endpoint is used to get the bookmarked KB's

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/bookmarks/":{"get":{"operationId":"ux_common_kb_kb_bookmarks_retrieve","description":"This endpoint is used to get the bookmarked KB's","summary":"Get the bookmarked KB's","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Get the categories for the KB

> This endpoint is used to get the categories

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/categories/":{"get":{"operationId":"ux_common_kb_kb_categories_retrieve","description":"This endpoint is used to get the categories","summary":"Get the categories for the KB","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Save the comment for a KB

> This endpoint is used to save the comment for a KB

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/comment/":{"post":{"operationId":"ux_common_kb_kb_comment_create","description":"This endpoint is used to save the comment for a KB","summary":"Save the comment for a KB","tags":["Knowledge Base"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/KBList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/KBList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Get the comments for a KB

> This endpoint is used to get the comments for KB&#x20;

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/comments/":{"get":{"operationId":"ux_common_kb_kb_comments_retrieve","description":"This endpoint is used to get the comments for KB ","summary":"Get the comments for a KB","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## PUT /ux/common/kb/kb/delete-attachment/{id}/

> API endpoint for knowledge base

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/delete-attachment/{id}/":{"put":{"operationId":"ux_common_kb_kb_delete_attachment_update","description":"API endpoint for knowledge base","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Knowledge Base"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/KBList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/KBList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Save the feedback for a KB

> This endpoint is used to save feedback for a KB

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/feedback/":{"post":{"operationId":"ux_common_kb_kb_feedback_create","description":"This endpoint is used to save feedback for a KB","summary":"Save the feedback for a KB","tags":["Knowledge Base"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/KBList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/KBList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Gets history for the selected kb.

> This endpoint is used to fetch the history.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/history/":{"get":{"operationId":"ux_common_kb_kb_history_retrieve","description":"This endpoint is used to fetch the history.","summary":"Gets history for the selected kb.","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Get the options for the KB configuration

> This endpoint is used to get the default options for KB config

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/options/":{"get":{"operationId":"ux_common_kb_kb_options_retrieve","description":"This endpoint is used to get the default options for KB config","summary":"Get the options for the KB configuration","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Get the ratings for the KB

> This endpoint is used to get the ratings for KB

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/ratings/":{"get":{"operationId":"ux_common_kb_kb_ratings_retrieve","description":"This endpoint is used to get the ratings for KB","summary":"Get the ratings for the KB","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Get the recent KB's

> This endpoint is used to get the recent KB's

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/recent/":{"get":{"operationId":"ux_common_kb_kb_recent_retrieve","description":"This endpoint is used to get the recent KB's","summary":"Get the recent KB's","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Get the related KB's

> This endpoint is used to get the related KB's

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/related/":{"get":{"operationId":"ux_common_kb_kb_related_retrieve","description":"This endpoint is used to get the related KB's","summary":"Get the related KB's","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Get user list

> This endpoint is used to get the user list from team

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/team_user_map/":{"get":{"operationId":"ux_common_kb_kb_team_user_map_retrieve","description":"This endpoint is used to get the user list from team","summary":"Get user list","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## GET /ux/common/kb/kb/user-list/

> Function will return user info dict\
> :param request: request.\
> :return: dict

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/user-list/":{"get":{"operationId":"ux_common_kb_kb_user_list_retrieve","description":"Function will return user info dict\n:param request: request.\n:return: dict","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Get the viewers for the KB

> This endpoint is used to get the viewers for a KB

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/viewers/":{"get":{"operationId":"ux_common_kb_kb_viewers_retrieve","description":"This endpoint is used to get the viewers for a KB","summary":"Get the viewers for the KB","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```

## Get the view count for the KB

> This endpoint is used to get the view count for a KB

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"KBList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"kb_id":{"type":"string","maxLength":25},"title":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"kbtype":{"type":"string","readOnly":true},"created_by":{"type":"string","nullable":true},"keywords":{"type":"string","readOnly":true},"config":{"$ref":"#/components/schemas/Embedded"},"faqs":{"type":"string","readOnly":true},"known_error":{"type":"string","readOnly":true},"image":{"type":"string","readOnly":true},"rating":{"type":"string","readOnly":true},"likes":{"type":"string","readOnly":true},"views":{"type":"string","readOnly":true},"bookmarks":{"type":"string","readOnly":true},"user_liked":{"type":"string","readOnly":true},"rating_count":{"type":"string","readOnly":true},"is_bookmarked":{"type":"string","readOnly":true},"comments":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"is_updated":{"type":"string","readOnly":true},"creator":{"type":"integer","nullable":true},"display_id":{"type":"string","maxLength":50},"notify_users":{"type":"string","readOnly":true}},"required":["bookmarks","comments","content","creation_time","faqs","image","is_bookmarked","is_updated","kb_id","kbtype","keywords","known_error","last_update_time","likes","notify_users","rating","rating_count","title","user_liked","views"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/kb/kb/views/":{"get":{"operationId":"ux_common_kb_kb_views_retrieve","description":"This endpoint is used to get the view count for a KB","summary":"Get the view count for the KB","tags":["Knowledge Base"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KBList"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/knowledge-base.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
